diff -Nru devscripts-2.10.20/debian/changelog devscripts-2.10.20+petere.bz2support/debian/changelog
--- devscripts-2.10.20/debian/changelog	2008-03-24 23:15:44.000000000 +0100
+++ devscripts-2.10.20+petere.bz2support/debian/changelog	2008-04-02 13:21:44.000000000 +0200
@@ -1,3 +1,10 @@
+devscripts (2.10.20+petere.bz2support) private; urgency=emergency
+
+  * debuild: Support .orig.tar.bz2 and .orig.tar.lzma
+  * debdiff: Support .orig.tar.bz2 and .orig.tar.lzma
+
+ -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 13:21:38 +0200
+
 devscripts (2.10.20) unstable; urgency=low
 
   * bts:
diff -Nru /tmp/ghhchKCH6O/devscripts-2.10.20/scripts/debdiff.pl /tmp/eDeQmlJotq/devscripts-2.10.20+petere.bz2support/scripts/debdiff.pl
--- devscripts-2.10.20/scripts/debdiff.pl	2008-03-24 18:32:08.000000000 +0100
+++ devscripts-2.10.20+petere.bz2support/scripts/debdiff.pl	2008-04-02 13:14:18.000000000 +0200
@@ -407,7 +407,7 @@
 		if ($file =~ /\.diff\.gz$/) {
 		    $diffs[$i] = cwd() . '/' . $file;
 		}
-		elsif ($file =~ /(\.orig)?\.tar\.gz$/) {
+		elsif ($file =~ /(\.orig)?\.tar\.gz$/ or $file =~ /(\.orig)?\.tar\.bz2$/ or $file =~ /(\.orig)?\.tar\.lzma$/) {
 		    $origs[$i] = $file;
 		}
 	    } else {
diff -Nru /tmp/ghhchKCH6O/devscripts-2.10.20/scripts/debuild.pl /tmp/eDeQmlJotq/devscripts-2.10.20+petere.bz2support/scripts/debuild.pl
--- devscripts-2.10.20/scripts/debuild.pl	2008-03-23 20:53:45.000000000 +0100
+++ devscripts-2.10.20+petere.bz2support/scripts/debuild.pl	2008-04-02 13:20:28.000000000 +0200
@@ -947,10 +947,12 @@
     ($uversion=$sversion) =~ s/-[a-z0-9+\.]+$//i;
     $dsc = "${pkg}_${sversion}.dsc";
     my $origtgz = "${pkg}_${uversion}.orig.tar.gz";
+    my $origtbz2 = "${pkg}_${uversion}.orig.tar.bz2";
+    my $origtlzma = "${pkg}_${uversion}.orig.tar.lzma";
     my $origdir = basename(cwd()) . ".orig";
     if (! $binaryonly and $tgz_check and $uversion ne $sversion
-	and ! -f "../$origtgz" and ! -d "../$origdir") {
-	print STDERR "This package has a Debian revision number but there does not seem to be\nan appropriate original tar file or .orig directory in the parent directory;\n(expected $origtgz or $origdir)\ncontinue anyway? (y/n) ";
+	and ! -f "../$origtgz" and ! -f "../$origtbz2" and ! -f "../$origtlzma" and ! -d "../$origdir") {
+	print STDERR "This package has a Debian revision number but there does not seem to be\nan appropriate original tar file or .orig directory in the parent directory;\n(expected one of $origtgz, $origtbz2, $origtlzma, or $origdir)\ncontinue anyway? (y/n) ";
 	my $ans = <STDIN>;
 	exit 1 unless $ans =~ /^y/i;
     }
